## NAME

g.list - Lists available GRASS data base files of the user-specified data type to standard output.

## SYNOPSIS

g.list
g.list help
g.list [-f] type=datatype [mapset=string]

### Flags:

-f
  verbose listing (also list map titles)

### Parameters:

type=datatype
  data type
  Options: rast,rast3d,vect,oldvect,asciivect,icon,labels,sites,region,region3d,group,3dview
mapset=string
  mapset to list (default: current search path)

## DESCRIPTION

g.list allows the user to list user-specified, available and accessible files from mapsets under the user's current location.

## OPTIONS

When invoked simply as g.list, the program prompts the user for the type of data to be listed from all mapsets in the user's current mapset search path. The user can list files from a mapset not listed in the current mapset search path by running the program non-interactively, specifying the (optional) flag setting and parameter values on the command line. Program flag and parameters are described below.

## NOTES

If unspecified, files of the specified type from all mapsets in the user's current search path will be listed to standard output. To find out which mapsets are in the cuurent search path, use 'g.mapsets -p'.

If the user requests that files from a mapset to which access has been restricted (see g.access) be listed, no files from this mapset will be listed.

## SEE ALSO

g.access
g.mapsets

## AUTHOR

Michael Shapiro, U.S.Army Construction Engineering Research Laboratory

Help Index